Page MenuHomeFreeBSD

sysutils/puppet: update to 3.8.1
ClosedPublic

Authored by mmoll on May 30 2015, 7:09 PM.
Tags
None
Referenced Files
Unknown Object (File)
Thu, Jun 13, 8:15 AM
Unknown Object (File)
Apr 27 2024, 8:25 AM
Unknown Object (File)
Mar 8 2024, 2:29 AM
Unknown Object (File)
Dec 22 2023, 9:21 PM
Unknown Object (File)
Oct 20 2023, 8:35 AM
Unknown Object (File)
Oct 20 2023, 8:15 AM
Unknown Object (File)
Oct 20 2023, 5:26 AM
Unknown Object (File)
Oct 14 2023, 1:01 PM
Subscribers

Details

Reviewers
swills
mat
Summary

@swills is the maintainer, the patch from PR 199995 was merged into 4.1.x upstream recently.
Proposed commit message:

sysutils/puppet: update to 3.8.1

add a patch to parse service names correctly[1]

PR:		199995[1]
Submitted by:	matthew[1]
Approved by:	swills (mentor, maintainer), mat (mentor)
Test Plan

poudriere: http://space.kvedulv.de/FreeBSD/puppet-3.8.1.log
portlint:

mmoll@marduk:/svn/ports/sysutils/puppet$ portlint -ACNc
WARN: /svn/ports/sysutils/puppet/pkg-plist: [52]: unknown pkg-plist directive "@(puppet,puppet,) www/puppet/config.ru"
WARN: /svn/ports/sysutils/puppet/files/patch-demote_ports_provider: patch was not generated using ``make makepatch''.  It is recommended to use ``make makepatch'' to ensure proper patch format.
WARN: /svn/ports/sysutils/puppet/files/patch-ext__rack__config.ru: patch was not generated using ``make makepatch''.  It is recommended to use ``make makepatch'' to ensure proper patch format.
0 fatal errors and 3 warnings found.

I'm using this since a few days on some boxes and everything seems to be just fine.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Lint Coverage
Unit
No Test Coverage

Event Timeline

mmoll retitled this revision from to sysutils/puppet: update to 3.8.1.
mmoll updated this object.
mmoll edited the test plan for this revision. (Show Details)
mmoll added reviewers: swills, mat.
mmoll added a subscriber: swills.
swills edited edge metadata.

Approved, looks good.

This revision is now accepted and ready to land.May 31 2015, 5:59 PM